"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const Cell = _ref => {
  let {
    onPress,
    config,
    ...props
  } = _ref;
  const handleCellPress = (0, _react.useCallback)(() => {
    onPress === null || onPress === void 0 ? void 0 : onPress(config.value);
  }, [onPress, config.value]);
  const margin = props.margin !== undefined ? props.margin / 2 : 0;
  const width = props.baseSize !== undefined ? props.baseSize * config.size + margin * 2 * (config.size - 1) : undefined;
  return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    style: [styles.cell, {
      height: props.baseSize,
      width,
      minWidth: width,
      marginVertical: margin,
      marginHorizontal: margin
    }, props.keyStyle, config.keyStyle],
    onPress: handleCellPress
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.text, {
      fontSize: props.fontSize
    }, props.textStyle, config.textStyle]
  }, config.display || config.value));
};

const styles = _reactNative.StyleSheet.create({
  cell: {
    borderWidth: 1,
    backgroundColor: 'lightgray',
    flex: 0,
    justifyContent: 'center'
  },
  text: {
    color: '#000',
    textAlign: 'center'
  }
});

var _default = Cell;
exports.default = _default;
//# sourceMappingURL=cell.js.map