"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _row = _interopRequireDefault(require("./row"));

var utils = _interopRequireWildcard(require("./utils"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class EasyKeyboard extends _react.PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "state", {
      layout: 'default',
      size: {
        height: undefined,
        width: undefined
      },
      fontMeasure: {
        height: 1,
        width: 1
      }
    });

    _defineProperty(this, "setKeyboardLayout", layoutName => {
      if (this.props.config.layouts[layoutName]) {
        this.setState({
          layout: layoutName
        });
      }
    });

    _defineProperty(this, "onLayout", _ref => {
      let {
        nativeEvent
      } = _ref;
      this.setState({
        size: {
          height: nativeEvent.layout.height,
          width: nativeEvent.layout.width
        }
      });
    });

    _defineProperty(this, "onFontMeasureLayout", _ref2 => {
      let {
        nativeEvent
      } = _ref2;
      this.setState({
        fontMeasure: {
          height: nativeEvent.layout.height,
          width: nativeEvent.layout.width
        }
      });
    });
  }

  render() {
    var _this$props, _this$props$theme;

    const layouts = utils.createLayoutConfigArray(this.props.config);
    const sizes = utils.calculateCellSize(this.props.config, layouts[this.state.layout], this.state.size, this.state.fontMeasure);
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      selectable: false,
      style: styles.measure,
      onLayout: this.onFontMeasureLayout
    }, "W"), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: [styles.container, (_this$props = this.props) === null || _this$props === void 0 ? void 0 : (_this$props$theme = _this$props.theme) === null || _this$props$theme === void 0 ? void 0 : _this$props$theme.containerStyle],
      onLayout: this.onLayout
    }, layouts[this.state.layout].map((row, i) => {
      var _this$props2;

      return /*#__PURE__*/_react.default.createElement(_row.default, {
        row: row,
        key: i,
        theme: (_this$props2 = this.props) === null || _this$props2 === void 0 ? void 0 : _this$props2.theme,
        cellMargin: sizes.cellMargin,
        cellSize: sizes.cellSize,
        cellFontSize: sizes.cellFontSize,
        onKeyPress: this.props.onKeyPress,
        onTriggerPress: this.props.onTriggerPress
      });
    })));
  }

}

const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1
  },
  measure: {
    fontSize: 100,
    position: 'absolute',
    opacity: 0,
    alignSelf: 'flex-start',
    left: -_reactNative.Dimensions.get('screen').width
  }
});

var _default = EasyKeyboard;
exports.default = _default;
//# sourceMappingURL=keyboard.js.map