function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { PureComponent } from 'react';
import { Dimensions, StyleSheet, Text, View } from 'react-native';
import Row from './row';
import * as utils from './utils';

class EasyKeyboard extends PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "state", {
      layout: 'default',
      size: {
        height: undefined,
        width: undefined
      },
      fontMeasure: {
        height: 1,
        width: 1
      }
    });

    _defineProperty(this, "setKeyboardLayout", layoutName => {
      if (this.props.config.layouts[layoutName]) {
        this.setState({
          layout: layoutName
        });
      }
    });

    _defineProperty(this, "onLayout", _ref => {
      let {
        nativeEvent
      } = _ref;
      this.setState({
        size: {
          height: nativeEvent.layout.height,
          width: nativeEvent.layout.width
        }
      });
    });

    _defineProperty(this, "onFontMeasureLayout", _ref2 => {
      let {
        nativeEvent
      } = _ref2;
      this.setState({
        fontMeasure: {
          height: nativeEvent.layout.height,
          width: nativeEvent.layout.width
        }
      });
    });
  }

  render() {
    var _this$props, _this$props$theme;

    const layouts = utils.createLayoutConfigArray(this.props.config);
    const sizes = utils.calculateCellSize(this.props.config, layouts[this.state.layout], this.state.size, this.state.fontMeasure);
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Text, {
      selectable: false,
      style: styles.measure,
      onLayout: this.onFontMeasureLayout
    }, "W"), /*#__PURE__*/React.createElement(View, {
      style: [styles.container, (_this$props = this.props) === null || _this$props === void 0 ? void 0 : (_this$props$theme = _this$props.theme) === null || _this$props$theme === void 0 ? void 0 : _this$props$theme.containerStyle],
      onLayout: this.onLayout
    }, layouts[this.state.layout].map((row, i) => {
      var _this$props2;

      return /*#__PURE__*/React.createElement(Row, {
        row: row,
        key: i,
        theme: (_this$props2 = this.props) === null || _this$props2 === void 0 ? void 0 : _this$props2.theme,
        cellMargin: sizes.cellMargin,
        cellSize: sizes.cellSize,
        cellFontSize: sizes.cellFontSize,
        onKeyPress: this.props.onKeyPress,
        onTriggerPress: this.props.onTriggerPress
      });
    })));
  }

}

const styles = StyleSheet.create({
  container: {
    flex: 1
  },
  measure: {
    fontSize: 100,
    position: 'absolute',
    opacity: 0,
    alignSelf: 'flex-start',
    left: -Dimensions.get('screen').width
  }
});
export default EasyKeyboard;
//# sourceMappingURL=keyboard.js.map