import React from 'react';
import { StyleSheet, View } from 'react-native';
import Cell from './cell';

const Row = props => {
  var _props$theme;

  return /*#__PURE__*/React.createElement(View, {
    style: [styles.row, (_props$theme = props.theme) === null || _props$theme === void 0 ? void 0 : _props$theme.rowStyle]
  }, props.row.map((cell, i) => {
    var _props$theme2, _props$theme3;

    return /*#__PURE__*/React.createElement(Cell, {
      config: cell,
      baseSize: props.cellSize,
      onPress: cell.isTrigger ? props.onTriggerPress : props.onKeyPress,
      key: cell.value + i,
      keyStyle: (_props$theme2 = props.theme) === null || _props$theme2 === void 0 ? void 0 : _props$theme2.keyStyle,
      textStyle: (_props$theme3 = props.theme) === null || _props$theme3 === void 0 ? void 0 : _props$theme3.textStyle,
      margin: props.cellMargin,
      fontSize: props.cellFontSize
    });
  }));
};

const styles = StyleSheet.create({
  row: {
    flexDirection: 'row',
    justifyContent: 'flex-start'
  }
});
export default Row;
//# sourceMappingURL=row.js.map