import type { KeyboardConfig, KeyConfig } from './keyboard';
interface CellSizes {
    cellSize?: number;
    cellMargin?: number;
    cellFontSize?: number;
}
export declare const createKeyConfigFromString: (config: KeyboardConfig, input: string) => KeyConfig;
export declare const getDisplayNameFromConfig: (config: KeyboardConfig, name: string) => string | undefined;
export declare const getLongestRow: (layout: KeyConfig[][]) => number;
export declare const getLongestWord: (config: KeyboardConfig, layout: KeyConfig[][]) => number;
export declare const getRowLength: (row: KeyConfig[]) => number;
export declare const createLayoutConfigArray: (config: KeyboardConfig) => Record<string, KeyConfig[][]>;
export declare const calculateCellSize: (config: KeyboardConfig, layout: KeyConfig[][], area: {
    width?: number;
    height?: number;
}, measure: {
    width?: number;
    height?: number;
}) => CellSizes;
export declare const calculateFontSize: (measure: {
    width?: number;
    height?: number;
}, cellSize: number, longestWord: number) => number | undefined;
export {};
